* {
    margin: 0;
    padding: 0;
}

body {
    background: url(https://images-ext-1.discordapp.net/external/Em_A7N3mgRPCFEm5eaDSRXb-8AEUZlq7dxeFso9FwME/%3Fcb%3D20230815143744/https/static.wikia.nocookie.net/gensin-impact/images/3/39/Site-community-image/revision/latest?format=webp&width=1177&height=662);
    background-repeat: no-repeat;
    background-size: cover;
    color: rgb(231, 231, 231);
    font-family: "Quicksand", sans-serif;
    font-size: 14pt;
    font-weight: normal;
}

input,
button {
    background-color: rgb(31, 31, 31);
    color: rgb(219, 219, 219);
    padding: .5rem;
    border: none;
    border-radius: .3rem;
    margin: .5rem;
    font-size: 14pt;
    transition: .2s ease;
    outline-offset: 2px;
    outline: 2px solid transparent;
}

input[type="number"] {
    width: calc(210px - 1rem);
    margin: 0;
    border-radius: 0px 0px .4rem .4rem;
}

input:focus {
    outline-offset: 2px;
    outline: 2px solid rgb(218, 218, 218);
    transition: .2s ease;
}

button:hover {
    cursor: pointer;
    box-shadow: black 0 0 5px;
    transition: .2s ease;
}

#nav_ul {
    display: flex;
    justify-content: space-between;
    width: 100%;
    align-items: center;
}

#options_holder {
    display: flex;
    align-items: flex-end;
    gap: 1rem;
}

.fa-solid {
    transition: .2s ease-in-out;
}

#main {
    margin-top: calc(50px + .8rem);
    display: grid;
    padding: 1rem;
    width: calc(100% - 2rem);
    justify-items: center;
    background-color: #2b2b2b85;
    backdrop-filter: blur(24px);
    height: calc(100dvh - 50px - 2.6rem);
    grid-template-areas:
        "options options options calculation"
        "results results results calculation"
        "results results results calculation"
        "results results results buttons";
}

.furniture_name {
    height: 10dvh;
    display: block;
}

#buttons {
    justify-content: space-between;
    background-color: rgb(31, 31, 31);
    padding: .5rem;
    outline: 2px solid rgb(63, 63, 63);
    border-radius: .3rem;
    margin: .5rem;
    align-items: center;
    grid-area: buttons;
    position: absolute;
    bottom: 0;
}

#nav_logo {
    height: 50px;
    width: 50px;
}

.window_container {
    position: fixed;
}

.hide {
    display: none;
    transition: .2s ease;
}

.show {
    display: flex;
    transition: .2s ease;
}

#filter {
    background-color: rgb(60, 146, 60);
}

.limit {
    color: rgb(151, 58, 58);
}

#revert,
#save {
    background-color: rgb(58, 58, 58);
}

#save {
    background-color: rgb(60, 146, 60);
}

#options {
    width: 100%;
    display: flex;
    align-items: flex-end;
    padding: .5rem;
    grid-area: options;
}

#history {
    background-color: rgb(91, 121, 193);
}

#del_his {
    background-color: rgb(186, 83, 83);
}

.item_holder {
    display: grid;
    justify-content: space-between;
    width: 210px;
    margin: .5rem;
    border-radius: .4rem;
    transition: .2s ease;
    position: relative;
    opacity: .7;
}

.view_compact .item_holder {
    padding: 0;
}

#settings_win,
#howto,
#history_win {
    height: calc(100dvh - 5rem - 14pt);
    width: calc(100dvw - 2rem);
    padding: 1rem;
    display: none;
    background-color: rgba(24, 24, 24, .8);
    position: fixed;
    overflow: auto;
    backdrop-filter: blur(24px);
    align-items: center;
    justify-content: center;
    z-index: 1;
}

#history_win {
    min-height: 10dvh;
    height: fit-content;
    width: 70dvw;
    position: absolute;
    bottom: 0;
    background-color: transparent;
    backdrop-filter: none;
}

#how_to_use_window,
#settings_window,
#history_window {
    height: 70dvh;
    width: 70dvw;
    overflow: hidden;
    position: relative;
    background-color: rgb(21, 21, 21);
    border-radius: .4rem;
    box-shadow: black 0 0 5px;
}

#how_to_use_window div *,
#settings_window div * {
    margin: .5rem;
    padding: .5rem;
}

#how_to_use_window div button,
#settings_window div button {
    margin: .3rem;
    padding: .1rem;
}

#how_use_vid {
    width: 50dvw;
    height: auto;
}

#select_place,
#select_region {
    outline-offset: 2px;
    transition: .2s ease-in-out;
}

#settings_window div button#save_settings {
    padding: .5rem;
    background-color: green;
}

#save_cancel {
    position: absolute;
    bottom: 0;
    display: flex;
    justify-content: flex-end;
    padding: .5rem;
    width: calc(100% - 1rem);
}

.place_opt_grp,
.region_opt_grp {
    position: absolute;
    display: flex;
    flex-direction: column;
    background-color: rgb(16, 16, 16);
    border-radius: .4rem;
    padding: .5rem;
    margin: .5rem;
    z-index: 10;
}

.place_opt_grp button,
.region_opt_grp button {
    background-color: transparent;
}

.place_opt_grp button:hover,
.region_opt_grp button:hover {
    background-color: rgb(180, 180, 180);
    color: rgb(56, 56, 56);
}

.place_opt_grp_close,
.region_opt_grp_close {
    display: none;
}

.place_opt_grp_open,
.region_opt_grp_open {
    display: flex;
}

.region_opt_grp {
    max-height: 30dvh;
    overflow: auto;
}

.closed_cus_selector {
    outline: 2px solid transparent;
}

.opened_cus_selector {
    outline: 2px solid white;
}

#res_loading_holder {
    height: 150px;
    width: 150px;
    border-radius: .5rem;
    padding: .5rem;
    position: absolute;
    align-self: center;
    left: calc(50% - 250px - 1rem);
    display: flex;
    align-items: center;
    justify-content: center;
    display: none;
    background-color: rgb(43, 43, 43);
    box-shadow: black 0 0 5px;
    z-index: 11;
}

#loading_results {
    height: 100px;
    width: 100px;
    border-radius: 50%;
    align-self: center;
    left: 50%;

    border-top: 2px solid gold;
    border-left: 2px solid gold;
    border-right: 2px solid gold;
    border-bottom: 2px solid transparent;

    animation: loading infinite .5s linear;
}

@keyframes loading {
    0% {
        transform: rotate(0deg);
    }

    50% {
        transform: rotate(180deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid rgb(67, 67, 67);
    box-shadow: black 0 0 5px;
}

#close_window,
#close_info {
    z-index: 10;
    background-color: transparent;
}

#results {
    display: flex;
    flex-wrap: wrap;
    width: 70dvw;
    height: calc(100dvh - 50px - 1.8rem - 10rem);
    max-height: calc(100dvh - 50px - 1.8rem - 10rem + 30dvh);
    align-content: flex-start;
}

#close_info:hover, #close_window:hover {
    background-color: transparent;
    box-shadow: none;
}

#close_his_window {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 12;
    opacity: 1;
    display: flex;
    height: 40px;
    width: 40px;
    align-items: center;
    justify-content: center;
    background-color: rgb(186, 83, 83);
}

#close_his_window:hover {
    opacity: 1;
}

#res_container {
    grid-area: results;
    width: 100%;
}

#navigation {
    position: fixed;
    top: 0;
    width: calc(100% - .6rem);
    padding: .3rem;
    background-color: rgba(27, 27, 27, 0.816);
    box-shadow: black 0 0 5px;
    border-bottom: 1px solid rgb(58, 58, 58);
    backdrop-filter: blur(24px);
    z-index: 1000;
}

#navigation ul li {
    list-style-type: none;
}

.item_holder input[type="checkbox"] {
    transition: .2s ease;
    visibility: hidden;
    position: absolute;
}

.item_holder:hover {
    box-shadow: black 0 0 5px;
    cursor: pointer;
    scale: 1.01;
}

.item_holder * {
    width: inherit;
}

.item_holder *:hover {
    cursor: pointer;
}

.item_holder .furniture_name,
.item_holder .load_amount {
    margin: 1rem;
}

.inc_dec_buttons {
    display: none;
    position: absolute;
    right: 0;
    bottom: 0;
    margin: .1rem;
    width: fit-content;
}

.item_holder:hover .inc_dec_buttons {
    display: flex;
}

.inc_dec_buttons button {
    height: 25px;
    width: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: .1rem;
}

.inc_button {
    margin: .3rem 0 .3rem .3rem;
    border-radius: .4rem 0 0 .4rem;
}

.dec_button {
    margin: .3rem .3rem .3rem 0;
    border-radius: 0 .4rem .4rem 0;
}

.thumbnail {
    /* width: 210px;
    height: auto; */
    border-radius: .4rem;
}

/* .item_holder img {
    width: auto;
} */

#calculation_result {
    padding: 1rem;
    margin: .5rem;
    background-color: #2b2b2b;
    border-radius: .6rem;
    box-shadow: black 0 0 5px;
    display: flex;
    flex-direction: column;
    height: calc(100dvh - 7rem);
    overflow-y: auto;
    grid-area: calculation;
}

.calc_res_list {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    line-clamp: 7;
    -webkit-line-clamp: 7;
    overflow: hidden;
    text-overflow: ellipsis;
}

#calculation_result b {
    font-size: 22pt;
    background-color: rgb(31, 31, 31);
    padding: .5rem;
    border-radius: .4rem;
    margin: .5rem;
    display: block;
}

#calculation_result::before {
    content: "Calculation Results:";
    font-weight: bold;
    position: relative;
    font-size: 14pt;
    margin-bottom: .5rem;
    text-decoration: underline;
}

.selected {
    opacity: 1;
}

.badge {
    position: absolute;
    margin: .5rem .5rem 0 0;
    top: 0;
    right: 0;
    background-color: transparent;
    height: 30px;
    width: 30px;
    width: fit-content;
    z-index: 9;
}

.view_detailed .furniture_name,
.view_detailed .load_amount {
    display: block;
    max-width: calc(100% - 2rem);
}

.view_compact .furniture_name,
.view_compact .load_amount {
    display: none;
}

.view_compact .thumbnail {
    height: auto;
    width: calc((70dvw / 8) - 1rem);
}

.view_compact label {
    margin-top: 20px;
}

.view_compact input[type=number] {
    width: calc((70dvw / 8) - 1rem);
}

.view_compact .item_holder {
    width: calc(70dvw / 8);
}

.view_compact_his .thumbnail {
    height: 90px;
    width: auto;
}

.view_compact_his input[type=number] {
    width: calc(90px - .4rem);
    padding: .2rem;
    position: absolute;
    left: 0;
    bottom: 0;
    background-color: rgba(21, 21, 21, .4);
    backdrop-filter: blur(18px);
    text-align: center;
}

.view_compact_his .item_holder {
    width: 90px;
}

.view_compact_his .inc_dec_buttons {
    justify-content: space-between;
    width: 90px;
}

.view_compact_his .inc_dec_buttons {
    width: 90px;
    margin: 0;
}

.view_compact_his .inc_dec_buttons .inc_button {
    background-color: transparent;
    border-top-left-radius: 0px;
    margin: 0;
}

.view_compact_his .inc_dec_buttons .dec_button {
    background-color: transparent;
    border-top-right-radius: 0px;
    margin: 0;
}

.view_compact_his .inc_dec_buttons button:hover {
    box-shadow: none;
}

.companion_place_selector {
    padding: .3rem;
    border-bottom-left-radius: .3rem;
    border-bottom-right-radius: .3rem;
}

#footer {
    display: grid;
    padding: 2rem;
    background-color: #0f1125;
}

#footer h4 {
    color: grey;
}

.links {
    padding: 1rem;
    margin: 1rem;
}

.links ul {
    list-style-type: none;
}

.links ul li {
    padding: .4rem;
    margin: .4rem;
}

.links ul li a {
    color: white;
    transition: .2s ease-in-out;
    text-decoration: none;
    border-bottom: 1px solid transparent;
}

.links ul li a:hover {
    transition: .2s ease-in-out;
    border-bottom: 1px solid white;
}

#disclaimer {
    height: 10dvh;
    padding: 1rem;
    margin: 1rem;
    background-color: rgba(255, 230, 0, 0.301);
    border-left: 3px solid rgb(190, 155, 0);
    border-radius: .4rem;
    box-shadow: black 0 0 5px;
    display: grid;
    align-items: center;
}

#links_logo_holder {
    display: flex;
    justify-content: space-between;
}

#res_p {
    position: absolute;
    opacity: .6;
    align-self: center;
    left: calc(50% - 150px);
}

::-webkit-scrollbar {
    width: .3rem;
    height: .3rem;
    background-color: black;
}

::-webkit-scrollbar-thumb {
    width: .2rem;
    background-color: rgb(174, 174, 174);
    border-radius: .6rem;
}

::-webkit-scrollbar-button {
    display: none;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
}

input[type=number] {
    appearance: textfield;
    -moz-appearance: textfield;
}

button:disabled {
    display: none;
}

@media screen and (max-width: 680px) {
    #main {
        margin-top: calc(50px + .8rem);
        display: grid;
        padding: 1rem;
        width: calc(100% - 2rem);
        justify-items: center;
        background-color: #2b2b2b85;
        backdrop-filter: blur(24px);
        height: auto;
        grid-template-areas: "options_mob"
            "options_mob"
            "res_mob"
            "res_mob"
            "calc_mob"
            "calc_mob";
    }

    #res_p {
        position: absolute;
        opacity: .6;
        align-self: center;
    }

    .furniture_name {
        height: 10dvh;
        display: block;
        width: calc(120px - 2rem);
        font-size: 10pt;
    }

    #options_holder {
        display: flex;
        gap: 1rem;
        flex-direction: column;
        align-items: flex-start;
    }

    #buttons {
        grid-area: buttons_mob;
        top: 0;
        bottom: auto;
    }

    #options {
        grid-area: options_mob;
        flex-direction: column;
        align-items: flex-start;
    }

    #res_loading_holder {
        left: calc(50% - 75px - 1rem);
    }

    #results {
        height: 100dvh;
        width: 100dvw;
    }

    #res_container {
        grid-area: res_mob;
        width: calc(100dvw - 2.4rem);
    }

    .view_compact .thumbnail {
        height: auto;
        width: calc((70dvw / 3) - 1rem);
    }

    .view_compact .item_holder {
        width: calc(70dvw / 3);
    }

    .view_compact input[type=number] {
        width: calc((70dvw / 3) - 1rem);
    }

    .view_compact_his input[type=number] {
        width: calc(120px - .4rem);
    }

    .view_compact_his .item_holder {
        width: 120px;
    }

    #calculation_result {
        grid-area: calc_mob;
    }

    #links_logo_holder {
        flex-direction: column;
    }

    #links_container {
        flex-wrap: wrap;
    }

    #disclaimer {
        height: 10dvh;
        padding: 1rem;
        margin: 1rem;
        background-color: rgba(255, 230, 0, 0.301);
        border-left: 3px solid rgb(190, 155, 0);
        border-radius: .4rem;
        box-shadow: black 0 0 5px;
        display: grid;
        align-items: center;
    }
}